## ide-script-manager ide-script-manager |

## Functions

#define | IDE_TYPE_SCRIPT_MANAGER
const gchar * | ide_script_manager_get_scripts_directory ()
void | ide_script_manager_load_async ()
gboolean | ide_script_manager_load_finish ()

## Properties

gchar * | scripts-directory | Read / Write / Construct Only

## Types and Values

| IdeScriptManager

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeScriptManager

## Description

## Functions

### IDE_TYPE_SCRIPT_MANAGER

    #define IDE_TYPE_SCRIPT_MANAGER (ide_script_manager_get_type())

### ide_script_manager_get_scripts_directory ()

    const gchar *
    ide_script_manager_get_scripts_directory
                                   (IdeScriptManager *self);

### ide_script_manager_load_async ()

    void
    ide_script_manager_load_async (IdeScriptManager *self,
                                   GCancellable *cancellable,
                                   GAsyncReadyCallback callback,
                                   gpointer user_data);

### ide_script_manager_load_finish ()

    gboolean
    ide_script_manager_load_finish (IdeScriptManager *self,
                                    GAsyncResult *result,
                                    GError **error);

## Types and Values

### IdeScriptManager

    typedef struct _IdeScriptManager IdeScriptManager;

## Property Details

### The `“scripts-directory”` property

      “scripts-directory”        gchar *

The local path to the directory containing scripts.

Flags: Read / Write / Construct Only

Default value: NULL